Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.dtd
Class XMLSimpleType

    java.lang.Object
      weblogic.apache.xerces.impl.dtd.XMLSimpleType

Deprecated. please use JDK supplied XML parsers and transformers

public class XMLSimpleType
extends Object

Field Summary
`DatatypeValidator` | `datatypeValidator` Deprecated. datatypeValidator
`static short` | `DEFAULT_TYPE_DEFAULT` Deprecated. DEFAULT_TYPE_DEFAULT
`static short` | `DEFAULT_TYPE_FIXED` Deprecated. DEFAULT_TYPE_FIXED
`static short` | `DEFAULT_TYPE_IMPLIED` Deprecated. DEFAULT_TYPE_IMPLIED
`static short` | `DEFAULT_TYPE_REQUIRED` Deprecated. DEFAULT_TYPE_REQUIRED
`short` | `defaultType` Deprecated. defaultType
`String` | `defaultValue` Deprecated. defaultValue
`String[]` | `enumeration` Deprecated. enumeration
`boolean` | `list` Deprecated. list
`String` | `name` Deprecated. name
`String` | `nonNormalizedDefaultValue` Deprecated. non-normalized defaultValue
`short` | `type` Deprecated. type
`static short` | `TYPE_CDATA` Deprecated. TYPE_CDATA
`static short` | `TYPE_ENTITY` Deprecated. TYPE_ENTITY
`static short` | `TYPE_ENUMERATION` Deprecated. TYPE_ENUMERATION
`static short` | `TYPE_ID` Deprecated. TYPE_ID
`static short` | `TYPE_IDREF` Deprecated. TYPE_IDREF
`static short` | `TYPE_NAMED` Deprecated. TYPE_NAMED
`static short` | `TYPE_NMTOKEN` Deprecated. TYPE_NMTOKEN
`static short` | `TYPE_NOTATION` Deprecated. TYPE_NOTATION

Constructor Summary
`XMLSimpleType()` Deprecated.

Method Summary
`void` | `clear()` Deprecated. clear
`void` | `setValues(short type, String name, String[] enumeration, boolean list, short defaultType, String defaultValue, String nonNormalizedDefaultValue, DatatypeValidator datatypeValidator)` Deprecated. setValues
`void` | `setValues(XMLSimpleType simpleType)` Deprecated. Set values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### datatypeValidator

    public DatatypeValidator datatypeValidator

  Deprecated.
  datatypeValidator

### DEFAULT_TYPE_DEFAULT

    public static final short DEFAULT_TYPE_DEFAULT

  Deprecated.
  DEFAULT_TYPE_DEFAULT

  See Also:
    Constant Field Values

### DEFAULT_TYPE_FIXED

    public static final short DEFAULT_TYPE_FIXED

  Deprecated.
  DEFAULT_TYPE_FIXED

  See Also:
    Constant Field Values

### DEFAULT_TYPE_IMPLIED

    public static final short DEFAULT_TYPE_IMPLIED

  Deprecated.
  DEFAULT_TYPE_IMPLIED

  See Also:
    Constant Field Values

### DEFAULT_TYPE_REQUIRED

    public static final short DEFAULT_TYPE_REQUIRED

  Deprecated.
  DEFAULT_TYPE_REQUIRED

  See Also:
    Constant Field Values

### defaultType

    public short defaultType

  Deprecated.
  defaultType

### defaultValue

    public String defaultValue

  Deprecated.
  defaultValue

### enumeration

    public String[] enumeration

  Deprecated.
  enumeration

### list

    public boolean list

  Deprecated.
  list

### name

    public String name

  Deprecated.
  name

### nonNormalizedDefaultValue

    public String nonNormalizedDefaultValue

  Deprecated.
  non-normalized defaultValue

### type

    public short type

  Deprecated.
  type

### TYPE_CDATA

    public static final short TYPE_CDATA

  Deprecated.
  TYPE_CDATA

  See Also:
    Constant Field Values

### TYPE_ENTITY

    public static final short TYPE_ENTITY

  Deprecated.
  TYPE_ENTITY

  See Also:
    Constant Field Values

### TYPE_ENUMERATION

    public static final short TYPE_ENUMERATION

  Deprecated.
  TYPE_ENUMERATION

  See Also:
    Constant Field Values

### TYPE_ID

    public static final short TYPE_ID

  Deprecated.
  TYPE_ID

  See Also:
    Constant Field Values

### TYPE_IDREF

    public static final short TYPE_IDREF

  Deprecated.
  TYPE_IDREF

  See Also:
    Constant Field Values

### TYPE_NAMED

    public static final short TYPE_NAMED

  Deprecated.
  TYPE_NAMED

  See Also:
    Constant Field Values

### TYPE_NMTOKEN

    public static final short TYPE_NMTOKEN

  Deprecated.
  TYPE_NMTOKEN

  See Also:
    Constant Field Values

### TYPE_NOTATION

    public static final short TYPE_NOTATION

  Deprecated.
  TYPE_NOTATION

  See Also:
    Constant Field Values

Constructor Detail

### XMLSimpleType

    public XMLSimpleType()

  Deprecated.

Method Detail

### clear

    public void clear()

  Deprecated.
  clear

### setValues

    public void setValues(short type,
                          String name,
                          String[] enumeration,
                          boolean list,
                          short defaultType,
                          String defaultValue,
                          String nonNormalizedDefaultValue,
                          DatatypeValidator datatypeValidator)

  Deprecated.
  setValues

  Parameters:
    `type` -
    `name` -
    `enumeration` -
    `list` -
    `defaultType` -
    `defaultValue` -
    `nonNormalizedDefaultValue` -
    `datatypeValidator` -

### setValues

    public void setValues(XMLSimpleType simpleType)

  Deprecated.
  Set values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD